#include "main.h"
#include "bttv.h"


/* Bt848ǥХΥץȤν */
int bttv_setup(int *video){
  char dname[20];
  int i;

  sprintf(dname, V4L_DEVICE);
  *video = open(dname, O_RDWR);
  if(*video<=0){
    perror("open");
    exit(1);
  }
  if(ioctl(*video, VIDIOCGCAP, &vcap)<0){
    perror("VIDIOCGCAP");
    exit(1);
  }
  for(i=0;i<vcap.channels;i++){
    vc.channel = i;
    if(ioctl(*video, VIDIOCGCHAN, &vc)<0){
      perror("VIDIOCGCHAN");
      exit(1);
    }
  }
  pdata1 = (unsigned short*)mmap(0, X_SIZE*Y_SIZE*2, PROT_READ|PROT_WRITE
			      , MAP_SHARED, *video, 0);
  if((int)pdata1 < 0){
    perror("mmap");
    exit(1);
  }

  vc.channel =0;
  vc.norm=1;

  if(ioctl(*video, VIDIOCSCHAN, &vc) < 0){
    perror("VIDIOCSCHAN");
    exit(1);
  }

  mm.frame  = 0;
  mm.height = Y_SIZE;
  mm.width  = X_SIZE;
  mm.format = VIDEO_PALETTE_RGB565;

  if ( ioctl(*video, VIDIOCMCAPTURE, &mm) ) {
          perror("VIDIOCMCAPTURE");
          exit(4);
  }
  if ( ioctl(*video, VIDIOCSYNC, &mm.frame) ) {
          perror("VIDIOCSYNC");
          exit(5);
  }
}


/* ӥǥץμ */
get_image(int video){

  ioctl(video, VIDIOCMCAPTURE, &mm);
  ioctl(video, VIDIOCSYNC, &mm.frame);
}


/* Bt848ǥХΥ */
int bttv_close(int video){

  munmap(pdata1, X_SIZE*Y_SIZE*2);
  close(video);
}




